Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ResourceDigestGeneratorImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ResourceDigestGeneratorImpl

All Implemented Interfaces:
  ResourceDigestGenerator

    public class ResourceDigestGeneratorImpl

extends java.lang.Object
implements ResourceDigestGenerator

Implementation of `ResourceDigestGenerator` that generates MD5 digests.

Constructor Summary
`ResourceDigestGeneratorImpl(java.util.Collection<java.lang.String> configuration)`

Method Summary
`java.lang.String` | `generateDigest(java.net.URL url)` Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content.
`boolean` | `requiresDigest(java.lang.String path)` Current implementation is based on the path extension, and a configured list of extensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDigestGeneratorImpl

    public ResourceDigestGeneratorImpl(java.util.Collection<java.lang.String> configuration)

Method Detail

### generateDigest

    public java.lang.String generateDigest(java.net.URL url)

  Description copied from interface: `ResourceDigestGenerator`
  Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content. This digest will be incorporated into the URL provided to the client, to verify that the client has been "granted" access to this resource. This is only used for resources where `ResourceDigestGenerator.requiresDigest(String)` is true.

  Specified by:
    `generateDigest` in interface `ResourceDigestGenerator`
  Returns:
    the digest for the resource

### requiresDigest

    public boolean requiresDigest(java.lang.String path)

  Current implementation is based on the path extension, and a configured list of extensions.

  Specified by:
    `requiresDigest` in interface `ResourceDigestGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.